#!/bin/sh
#
. $HOME/.profile
#
echo
echo
echo "Checking for envronment variables CPC_HOME, CPCI_In and CPCI_RZDM"
echo
#
: ${CPCI_HOME?"Need to set CPCI_HOME"}
echo
echo "CPCI_HOME is set to ${CPCI_HOME}"
echo
sleep 5
#
: ${CPCI_IN?"Need to set CPCI_IN"}
echo
echo "CPCI_IN is set to ${CPCI_IN}"
echo
sleep 5
#
#
: ${CPCI_RZDM?"Need to set CPCI_RZDM"}
echo
echo "CPCI_RZDM is set to ${CPCI_RZDM}"
echo
sleep 5
#
echo
echo "Generating live html files from templates"
echo
sleep 5
#
#
cd $CPCI_HOME/htmls
#
./process_html_files.sh
#
echo
echo "Completed processing html files"
echo
#
#
pr=$CPCI_HOME
cd $CPCI_HOME/scripts
echo $pr
cp $CPCI_HOME/scripts/src/sample_crontab_file_template sample_crontab_file
sed -i "s#CPCI_HOME#$pr/#" sample_crontab_file
#
#
echo
echo "Now you can initiate your crontab"
echo "by copying the following lines in sample crontab file to your crontab file"
cat sample_crontab_file
echo "and restarting the cron"
echo
